## Get inventory import upload file configuration

### cURL

```bash
curl --request GET \
  --url https://api.fabric.inc/v3/inventory-import-configs/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>'
```

### Python

```python
import requests

url = "https://api.fabric.inc/v3/inventory-import-configs/{id}"

headers = {
    "x-fabric-tenant-id": "<x-fabric-tenant-id>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```javascript
const options = {
  method: 'GET',
  headers: {'x-fabric-tenant-id': '<x-fabric-tenant-id>', Authorization: 'Bearer <token>'}
};

fetch('https://api.fabric.inc/v3/inventory-import-configs/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php


```

### Response Status Codes

- **200**: Application/json - OK
- **400**: Bad request
- **401**: Unauthorized request
- **404**: Inventory import file config not found for file prefix
- **500**: Internal server error

### Example Response

```json
{
  "filePrefix": "oms_",
  "groupName": "Location0or2",
  "rules": {
    "locationFilters": [
      {
        "condition": "EQ",
        "field": "locationNum",
        "value": "11245"
      },
      {
        "condition": "IN",
        "field": "type",
        "values": [
          "DC",
          "STORE"
        ]
      }
    ]
  },
  "id": "821018391"
}
```

### Error Response

```json
{
  "errors": [
    {
      "message": "Invalid request",
      "type": "CLIENT_ERROR"
    }
  ],
  "message": "Bad request",
  "type": "CLIENT_ERROR"
}
```

```json
{
  "message": "Unauthorized request",
  "type": "CLIENT_ERROR"
}
```

```json
{
  "message": "Inventory import file config not found for file prefix",
  "type": "CLIENT_ERROR"
}
```

```json
{
  "message": "Internal server error",
  "type": "SERVER_ERROR"
}
```

### Authorizations

#### Authorization

- **Type**: string
- **Location**: header
- **Required**: Yes
- **Description**: Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

#### Headers

- **x-fabric-tenant-id**: string (required)
  - Description: A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints.

#### Path Parameters

- **id**: string (required)
  - Description: File prefix.
